Get laptop and computer deals
curl --request GET \
--url https://scrapebadger.com/v1/bestbuy/deals \
--header 'X-API-Key: <x-api-key>'import requests
url = "https://scrapebadger.com/v1/bestbuy/deals"
headers = {"X-API-Key": "<x-api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<x-api-key>'}};
fetch('https://scrapebadger.com/v1/bestbuy/deals', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://scrapebadger.com/v1/bestbuy/deals",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <x-api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://scrapebadger.com/v1/bestbuy/deals"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<x-api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://scrapebadger.com/v1/bestbuy/deals")
.header("X-API-Key", "<x-api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://scrapebadger.com/v1/bestbuy/deals")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<x-api-key>'
response = http.request(request)
puts response.read_bodyBest Buy endpoints
Get laptop and computer deals
Get laptop and computer deals.
GET
/
v1
/
bestbuy
/
deals
Get laptop and computer deals
curl --request GET \
--url https://scrapebadger.com/v1/bestbuy/deals \
--header 'X-API-Key: <x-api-key>'import requests
url = "https://scrapebadger.com/v1/bestbuy/deals"
headers = {"X-API-Key": "<x-api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<x-api-key>'}};
fetch('https://scrapebadger.com/v1/bestbuy/deals', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://scrapebadger.com/v1/bestbuy/deals",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <x-api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://scrapebadger.com/v1/bestbuy/deals"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<x-api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://scrapebadger.com/v1/bestbuy/deals")
.header("X-API-Key", "<x-api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://scrapebadger.com/v1/bestbuy/deals")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<x-api-key>'
response = http.request(request)
puts response.read_bodyGet laptop and computer deals.
Credits: 10 per successful request. Failed requests and empty result sets are not charged.
Browse all Best Buy endpoints.
Authentication
string
required
Your ScrapeBadger API key.
Parameters
integer
default:"1"
Page. Minimum: 1. Maximum: 100.
Response
{
"query": null,
"page": 1,
"total_results": 44,
"products": [
{
"sku": "6258027",
"bsin": "JCQ6HP32P5",
"title": "Microsoft - Office 365 Personal (1 Person) (12-Month Subscription) - Activation Required - Windows, Mac OS, Apple iOS, Android [Digital]",
"url": "https://www.bestbuy.com/product/microsoft-office-365-personal-1-person-12-month-subscription-activation-required-windows-mac-os-apple-ios-android-digital/JCQ6HP32P5/sku/6258027",
"brand": "Microsoft",
"upc": "400062580272",
"description": {
"long": "Microsoft 365 Personal is a 12-month automatically renewing subscription for 1 person that includes 1 TB (1000 GB) of cloud storage which allows you to access, edit, and share your files and photos across all your devices. It comes with powerful productivity and creativity apps with AI¹ including Word, Excel, PowerPoint, Outlook, advanced security for your data and devices, and ongoing customer support. After the first year, this subscription renews automatically each year and your chosen payment card will be charged $99.99 for Microsoft 365 Personal or $129.99 for Microsoft 365 Family (as applicable), or then-current price, until cancelled. Cancel automatic renewals any time by calling 1-888-BEST BUY (1-888-237-8289) or online on your account Plans and Subscriptions page (Bestbuy.com/services/planlist). Access to your subscription will continue until the end of your then-current term at which time your subscription will expire."
},
"price": 99.99,
"regular_price": 99.99,
"savings": 0.0,
"currency": "USD",
"rating": 4.5,
"review_count": 38966,
"images": [
{
"piscesHref": "https://pisces.bbystatic.com/image2/BestBuy_US/images/products/fa90dd84-caf2-4bbe-86e9-18b037ea6563.jpg",
"altText": "Microsoft 365 Personal \nWith Copilot in Microsoft 365 \n1 User \n12 Month Subscription",
"rel": "Front_Zoom"
}
],
"specifications": [
{
"name": "Key Specs",
"specifications": [
{
"displayName": "Number of Users",
"value": "1"
}
]
}
],
"features": [],
"fulfillment": {},
"buying_options": {},
"seller": {
"classification": "1P",
"id": "bby"
},
"badges": [],
"questions": {}
}
],
"facets": [
{
"parentFacetField": null,
"displayName": "GIF-Same Day Shipping",
"facetDisplay": "true",
"facetField": "samedayshippingallcondition_facet",
"maxValue": 10,
"values": [
{
"count": 11,
"value": "55423",
"categoryPath": null,
"nestedValues": null,
"__typename": "SearchFacetValue"
}
],
"__typename": "SearchFacet"
}
],
"sort_options": [
{
"value": "Featured",
"displayName": "Featured",
"__typename": "SearchSortOption"
}
],
"applied_filters": {
"appliedFacets": [],
"categoryFacet": null,
"sort": {
"value": "Best-Selling",
"displayName": "Best Selling",
"__typename": "SearchRequestInfoSort"
},
"__typename": "SearchRequestInfo"
}
}
Example
curl --get 'https://scrapebadger.com/v1/bestbuy/deals' \
--header 'X-API-Key: YOUR_API_KEY' \
--data-urlencode 'page=1'

